using UnityEngine;
using System.Collections;

public class CameraFollow : MonoBehaviour
{

    public GameObject Player;

    Vector3 Target = new Vector3();

    void Start()
    {

    }

    void LateUpdate()
    {
        Target = Player.transform.position;
       Target.z = -10f;
        transform.position = new Vector3(Mathf.Clamp(this.transform.position.x, Player.transform.position.x - 30, Player.transform.position.x + 10), Mathf.Clamp(this.transform.position.y, -5.0f, 3.0f), -10.0f);
    }



}
